Bug 163247 - sysutils/bacula-bat 5.2.2 porte doesn't install libbacfind.so
Summary: sysutils/bacula-bat 5.2.2 porte doesn't install libbacfind.so
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-13 14:10 UTC by Oleg Ginzburg
Modified: 2012-01-04 08:30 UTC (History)
0 users

See Also:


Attachments
file.diff (500 bytes, patch)
2011-12-13 14:10 UTC, Oleg Ginzburg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Ginzburg 2011-12-13 14:10:10 UTC
After upgrading http://www.freebsd.org/cgi/cvsweb.cgi/ports/sysutils/bacula-server/Makefile.diff?r1=text&tr1=1.131&r2=text&tr2=1.130 Bacula to 5.2.2,
bat binary from sysutils/bacula-bat demands libbacfind.so library which the port doesn't install:

ldd /usr/local/sbin/bat |grep found
        libbacfind.so.5 => not found (0)

After

cd /usr/ports/sysutils/bacula-bat/work/bacula-5.2.2/src/findlib && gmake install
==== Make of findlib is good ====
 
/usr/ports/sysutils/bacula-bat/work/bacula-5.2.2/autoconf/mkinstalldirs /usr/local/lib
/usr/ports/sysutils/bacula-bat/work/bacula-5.2.2/libtool --silent --tag=CXX --finish --mode=install /usr/bin/install -c -o root -g wheel -m 755 libbacfind.la /usr/local/lib

All works fine

Fix: For the fast solution (that people weren't updated with an error) just puts lines by analogy to the previous library.

I will try to recreate Makefile later (these files are absent in pkg-plists ALSO)

Patch attached with submission follows:
How-To-Repeat: make -C /usr/ports/sysutils/bacula-bat install && rehash && su -m <xuser> -c bat
Comment 1 Edwin Groothuis freebsd_committer 2011-12-13 14:10:25 UTC
Maintainer of sysutils/bacula-bat,

Please note that PR ports/163247 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/163247

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-12-13 14:10:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michael Scheidell freebsd_committer 2011-12-27 14:55:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

Dan: 
Do you want me to take this and see if I can't make pkg-plist happy also? 
If so, I'll send you patches first before committing them
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-12-27 21:12:43 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Mark Linimon 2011-12-27 21:13:33 UTC
----- Forwarded message from Dan Langille <dan@langille.org> -----

Date: Tue, 27 Dec 2011 14:56:07 -0500
From: Dan Langille <dan@langille.org>
To: scheidell@FreeBSD.org
Cc: freebsd-ports-bugs@FreeBSD.org
Subject: Re: ports/163247: sysutils/bacula-bat 5.2.2 porte doesn't install
	libbacfind.so
X-Mailer: Apple Mail (2.1251.1)

Thank you, please proceed.  :)

-- 
Dan Langille - http://langille.org

_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"

----- End forwarded message -----
Comment 6 dfilter service freebsd_committer 2012-01-04 08:21:00 UTC
scheidell    2012-01-04 08:20:51 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bacula-bat  Makefile pkg-plist 
  Log:
  - install libbacfind.so
  
  PR:             ports/163247
  Submitted by:   olevole <olevole@olevole.ru>
  Approved by:    dan@langille.org (maintainer), gabor (mentor)
  
  Revision  Changes    Path
  1.14      +3 -0      ports/sysutils/bacula-bat/Makefile
  1.3       +1 -0      ports/sysutils/bacula-bat/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Michael Scheidell freebsd_committer 2012-01-04 08:21:05 UTC
State Changed
From-To: open->closed

Committed with changes, Thanks.